javafx.fxml

## Class JavaFXBuilderFactory

- java.lang.Object
- - javafx.fxml.JavaFXBuilderFactory

- All Implemented Interfaces:
    BuilderFactory

      public final class JavaFXBuilderFactory
      extends Object
      implements BuilderFactory

  JavaFX builder factory.
  Since:
    JavaFX 2.0

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `JavaFXBuilderFactory()` Default constructor.
    `JavaFXBuilderFactory(ClassLoader classLoader)` Constructor that takes a class loader.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Builder<?>` | `getBuilder(Class<?> type)` Returns a builder suitable for constructing instances of the given type.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### JavaFXBuilderFactory

          public JavaFXBuilderFactory()

      Default constructor.

    - #### JavaFXBuilderFactory

          public JavaFXBuilderFactory(ClassLoader classLoader)

      Constructor that takes a class loader.
      Parameters:
        `classLoader` -
      Since:
        JavaFX 2.1

  - ### Method Detail

    - #### getBuilder

          public Builder<?> getBuilder(Class<?> type)

      Description copied from interface: `BuilderFactory`
      Returns a builder suitable for constructing instances of the given type.
      Specified by:
        `getBuilder` in interface `BuilderFactory`
      Returns:
        A builder for the given type, or `null` if this factory does not produce builders for the type.

Copyright (c) 2008, 2015, Oracle and/or its affiliates. All rights reserved.